/* Andrey N. Kuznetsov, Almaty, 2012 *
 * For educational purposes.         *
 * Under GPL 2.0                     */
//---------------------------------------------------------------------
#ifndef _TCentralComponent_h_
#define _TCentralComponent_h_
//---------------------------------------------------------------------
#include "../JuceLibraryCode/JuceHeader.h"
//---------------------------------------------------------------------
// Класс компонента содержимого.
// Наследует класс таймера
class TCentralComponent  : public Component,
                           public Timer
{
public:
    TCentralComponent();
    ~TCentralComponent();

    void paint(Graphics&);
    void resized();
    void timerCallback();
    
    // Бинарные ресурсы:
    static const char* psClouds_jpg;
    static const int iClouds_jpgSize;
    static const char* psAirplane_png;
    static const int iAirplane_pngSize;

private:
    // Переменная для хранения картинки фона (облака)
    Image ChachedBackground;
    // Наш самолёт
    DrawableImage* pAirplane;
    // Компонент для управления анимацией самолёта
    ComponentAnimator Animator;
    // Прямоугольник - новая позиция самолёта
    Rectangle<int> PlanePosition;

    // Предотвращает создание копии конструктора и оператора =
    TCentralComponent(const TCentralComponent&);
    const TCentralComponent& operator= (const TCentralComponent&);
};
//---------------------------------------------------------------------
#endif
